Bug 847574 - [abrt] firefox-14.0.1-1.fc17: Process /usr/lib64/firefox/firefox was killed by signal 11 (SIGSEGV)
[abrt] firefox-14.0.1-1.fc17: Process /usr/lib64/firefox/firefox was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:bf7690e01475eaaabc8a3e63a05...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 23:16 EDT by vikram goyal
Modified: 2013-07-31 13:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.83 KB, text/plain)
2012-08-12 23:16 EDT, vikram goyal
no flags Details
File: dso_list (6.32 KB, text/plain)
2012-08-12 23:16 EDT, vikram goyal
no flags Details
File: maps (30.89 KB, text/plain)
2012-08-12 23:16 EDT, vikram goyal
no flags Details

  None (edit)
Description vikram goyal 2012-08-12 23:16:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
comment:        Just closing firefox with lots of (around 120) open tabs
crash_function: xcb_glx_query_server_string_string_length
executable:     /usr/lib64/firefox/firefox
kernel:         3.5.0-2.fc17.x86_64
pid:            28134
pwd:            /home/vikram
remote_result:  NOTFOUND
time:           Fri 10 Aug 2012 04:39:16 PM IST
uid:            1000
username:       vikram

backtrace:      Text file, 16214 bytes
dso_list:       Text file, 6475 bytes
maps:           Text file, 31627 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/vikram/63

core_backtrace:
:0aba7ec92cfe9227831c913e3ea7ccdc85c701e1 0xb150 xcb_glx_query_server_string_string_length libxcb-glx.so.0 -
:602961bbc6a8c6f27b106252eefdd6d7ac18b8ed 0x43014 __glXQueryServerString libGL.so.1 -
:602961bbc6a8c6f27b106252eefdd6d7ac18b8ed 0x208da AllocAndFetchScreenConfigs libGL.so.1 -

environ:
:XSUNTRANSPORT=shmem
:SSH_AGENT_PID=1239
:XDG_SESSION_ID=63
:HOSTNAME=mail2.smcindiaonline.com
:SELINUX_ROLE_REQUESTED=
:GPG_AGENT_INFO=/home/vikram/.gnupg/S.gpg-agent:1239:1
:VIMRCSRC=3
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:'SSH_CLIENT=59.176.104.236 38860 22'
:SELINUX_USE_CURRENT_RANGE=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:SSH_TTY=/dev/pts/5
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:QT_GRAPHICSSYSTEM_CHECKED=1
:HISTFILESIZE=5000
:USER=vikram
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/home/vikram/.gnupg/S.gpg-agent.ssh
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins:/usr/lib64/firefox/plugins
:MAIL=/var/spool/mail/vikram
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/home/vikram/.local/bin:/home/vikram/bin
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:PWD=/home/vikram
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:XSUNSMESIZE=512
:SELINUX_LEVEL_REQUESTED=
:HISTCONTROL=erasedups
:GPG_TTY=/dev/pts/5
:SHLVL=1
:HOME=/home/vikram
:LANGUAGE=
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=vikram
:QTLIB=/usr/lib64/qt-3.3/lib
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:'SSH_CONNECTION=59.176.104.236 38860 172.16.0.159 22'
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:XDG_RUNTIME_DIR=/run/user/vikram
:DISPLAY=localhost:12.0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23844                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23844                23844                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/5
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:socket:[1023744]
:pos:	0
:flags:	02004002
:4:pipe:[1024405]
:pos:	0
:flags:	01

smolt_data:
:
:
:General
:=================================
:UUID: 7e88a122-b99d-45f8-b5fb-4ba973609d6c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5066.50
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E7200  @ 2.53GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2534
:System Memory: 3001
:System Swap: 5396
:Vendor: Hewlett-Packard
:System: HP dx2480 MT(FX801PA) 
:Form factor: Desktop
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10520:4156:12347) pci, None, PCI/ISA, 82801IB (ICH9) LPC Interface Controller
:(4332:33128:4156:12347) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10690:4156:12347) pci, i915, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10529:4156:12347) pci, ata_piix, STORAGE, 82801IB (ICH9) 2 port SATA IDE Controller
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:32902:10562) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10534:4156:12347) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:10558:4156:12347) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10549:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4156:12347) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9294:32902:9294) pci, None, PCI/PCI, 82801 PCI Bridge
:(4279:36944:0:0) pci, 3c59x, ETHERNET, 3c905 100BaseTX [Boomerang]
:(32902:10548:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10688:4156:12347) pci, agpgart-intel, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10550:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4156:12347) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4156:12347) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4156:12347) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 13082377 9225941 8570489 3278576 2877953 2877953
:/dev/sda1 /boot ext4 1024 1024 253445 156225 143425 64256 63861 63861
:/dev/sdb2 WITHHELD ext4 4096 4096 243543441 72555294 60365172 60956672 60940466 60940466
:/dev/mapper/luks-72d81c9a-94e3-421a-b2b0-a67a8f42efe9 WITHHELD ext4 4096 4096 24864214 12402134 11156921 6234112 6190900 6190900
:

var_log_messages:
:Aug 10 16:39:16 mail2 kernel: [182435.334902] firefox[28134]: segfault at c ip 00000036be20b150 sp 00007fffff496a98 error 4 in libxcb-glx.so.0.0.0[36be200000+15000]
:Aug 10 16:39:17 mail2 abrt[28135]: Saved core dump of pid 28134 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-08-10-16:39:16-28134 (6668288 bytes)

xsession_errors:
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/98/BF78Dd01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/98/55CF7d01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/98/6B27Ad01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/98/3328Fd01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/26/F2E14d01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/26/2076Dd01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/26/05E5Fd01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/26/1F99Bd01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/D9/F3C77d01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
:(tracker-miner-fs:18659): Tracker-WARNING **:   Got extraction DBus error on 'file:///home/vikram/Desktop/Dotfiles/mozilla/firefox/1g86glkb.default/Cache/0/D9/DA41Dd01': GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Comment 1 vikram goyal 2012-08-12 23:16:48 EDT
Created attachment 603841 [details]
File: backtrace
Comment 2 vikram goyal 2012-08-12 23:16:50 EDT
Created attachment 603842 [details]
File: dso_list
Comment 3 vikram goyal 2012-08-12 23:16:53 EDT
Created attachment 603843 [details]
File: maps
Comment 4 Jan Horak 2012-08-13 07:15:26 EDT
Looks like crash at glxext.c. Changing component to Mesa.
Comment 5 Fedora End Of Life 2013-07-03 15:24:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 13:49:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.